import { LoaderOptions } from './loader';
export declare type VariableType = 'SassNumber' | 'SassString' | 'SassBoolean' | 'SassNull' | 'SassColor' | 'SassList' | 'SassMap';
export interface SassColor {
    r: number;
    g: number;
    b: number;
    a: number;
    hex: string;
}
export interface SassList extends ReadonlyArray<Variable> {
}
export interface Variable {
    type: VariableType;
    value: VariableValue;
    unit: string;
    separator?: string;
}
export declare type VariableValue = number | string | boolean | null | SassColor | SassList | VariableMap;
export declare type CssValue = string | number | boolean | null;
export interface VariableMap<T = Variable> {
    [name: string]: T;
}
export declare const extractVariables: (file: string, { camelCase: camel, includePaths, }?: LoaderOptions) => VariableMap<CssValue>;
